
module "slb-listener" {
  source = "terraform-aws-modules/slb-listener/aws"
  version = "1.4.0"
  advanced_setting = var.advanced_setting
  cookie = var.cookie
  cookie_timeout = var.cookie_timeout
  create = var.create
  enable_gzip = var.enable_gzip
  enable_health_check = var.enable_health_check
  enable_sticky_session = var.enable_sticky_session
  health_check = var.health_check
  health_check_connect_port = var.health_check_connect_port
  health_check_domain = var.health_check_domain
  health_check_http_code = var.health_check_http_code
  health_check_interval = var.health_check_interval
  health_check_timeout = var.health_check_timeout
  health_check_type = var.health_check_type
  health_check_uri = var.health_check_uri
  healthy_threshold = var.healthy_threshold
  listeners = var.listeners
  persistence_timeout = var.persistence_timeout
  profile = var.profile
  region = var.region
  retrive_slb_id = var.retrive_slb_id
  retrive_slb_ip = var.retrive_slb_ip
  retrive_slb_proto = var.retrive_slb_proto
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slb = var.slb
  ssl_certificates = var.ssl_certificates
  sticky_session_type = var.sticky_session_type
  unhealthy_threshold = var.unhealthy_threshold
  x_forwarded_for = var.x_forwarded_for
}
